500 - Error - Perl execution failed with mailrelay plugin

500 - Error - Perl execution failed with mailrelay plugin

I have a problem with the mailrelay plugin. For the setup I used this page: Mail Relaying With Virtualmin.

First thing that went wrong was Postfix crashing after changing first domain to use mail relay. Found the solution here: https://www.virtualmin.com/node/44140.
But aftwards when I want to configure Mail Relaying under Server Configuration I got this error:

500 - Error - Perl execution failed
Can’t locate virtualmin-mailrelay-lib.pl in @INC (@INC contains: /usr/share/webmin /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/webmin/virtualmin-mailrelay/edit.cgi line 4.

I used a fresh Ubuntu 18.04 installation with all updates. Virtualmin version is 6.08, Webmin version 1.941, Postfix version 3.3.0.

Would like to fix this.

Oke, found the problem already (thanks to another topic on the forum).

The path to ‘virtualmin-mailrelay-lib.pl’ in the edit.cgi and save.cgi is wrong. This should be:

require ‘./virtualmin-mailrelay-lib.pl’;

Please can somebody confirm that this is the right fix?

Further I noticed that the version installed as a webmin module with the link http://download.webmin.com/download/plugins/virtualmin-mailrelay.wbm.gz is 1.7. and an older version than on github https://github.com/virtualmin/virtualmin-mailrelay.

webmin version:
desc=Virtualmin Mail Relay
category=servers
depends=virtual-server/3.52 1.390
hidden=1
version=1.7
feedback=jcameron@webmin.com
desc_nl=Virtualmin Mail Relais

Github version:
desc=Virtualmin Mail Relay
category=servers
depends=virtual-server/4.13 1.390
hidden=1
version=2.0
feedback=jcameron@webmin.com
desc_nl=Virtualmin Mail Relais

---- Changes since 1.7 ----
The mail relaying page now shows queued messages for the domain.

So maybe it is time to update the version on the webmin page?

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.